<?php
$st    = $this->setting;
$dtime = false;

if ( $st->getSetting( 'countdown_activate', 'true' ) == 'true' ) 
{
    $date =  $st->getSetting( 'expiry_date' );
    $time =  $st->getSetting( 'expiry_time' );
    if ( $date && $time ) {
        $dtime = $date . ' ' . $time . ':00';
    }
}

if ( $dtime ) 
{
    $bgcolor = $st->getSetting( 'countdown_bg_color', '#ffffff' );
    $color   = $st->getSetting( 'countdown_text_color', '#444444' );
    //Font
    $font_opt = $st->getSetting( 'countdown_font_family', 'roboto' );
    $family   = IPTee_Font::getFamily( $font_opt );
    //Border
    if ( $st->getSetting( 'countdown_border_status', 'false' ) == 'true' ) {
        $width   = $st->getSetting( 'countdown_border_width', '1' );
        $style   = $st->getSetting( 'countdown_border_style', 'solid' );
        $bocolor = $st->getSetting( 'countdown_border_color', '#333333' );
        $border  = ' border:' . $width . 'px ' . $style . ' ' . $bocolor . ';';
    }
    $style  = ' style="background-color:' . $bgcolor . ';color:' . $color . ';font-family:' . $family . ';' . $border . '"';
    $class  = 'countdown';
    $class .= ' radius-' . $st->getSetting( 'countdown_radius', 'none' );
	
	$expiry = $st->getSetting( 'countdown_expiry_url', '#' );
    
    echo '<div class="' . $class . '" data-time="' . $dtime . '" data-expiry="' . $expiry . '"' . $style . '></div>';
}
?>