<?php
$st = $this->setting;
?>
<div class="reserve">
    <div class="reserve-inner">
        <div class="reserve-title">
            <?php
            if ( $title = $st->getSetting( 'order_now_headline' ) ) :
            ?>
            <h2><?php echo stripslashes( $title ); ?></h2>
            <?php
            endif;
            
            if ( $subtitle = $st->getSetting( 'order_now_sub_headline' ) ) :
            ?>
            <h3><?php echo stripslashes( $subtitle ); ?></h3>
            <?php
            endif;
            ?>
        </div>
        
        <div class="reserve-button">
            <?php
            $url   = $st->getSetting( 'order_now_url', '#' );
            $text  = stripslashes( $st->getSetting( 'order_now_button_text', __( 'Reserve', 'wp_tee_contest' ) ) );
            $style = $st->getSetting( 'order_now_button_style', 'grey' );
            ?>
            <a href="<?php echo $url; ?>" class="btn btn-<?php echo $style; ?> btn-reserve">
                <?php echo $text; ?>
            </a>
        </div>
    </div>
</div>