<?php
$st = $this->setting;

if ( $st->getSetting( 'bellow_activate', 'true' ) == 'true' ) :
?>

<div class="bellow">
    <div class="bellow-inner">
        <?php
        if ( $st->getSetting( 'bellow_share_activate', 'true' ) == 'true' ) :
        ?>
            <div class="bellow-share">
                <ul class="share-list">
                    <?php
                    $socials  = array(
                        'facebook',
                        'twitter',
                        'google-plus',
                        'pinterest',
                        'linkedin',
                        'tumblr',
                        'stumbleupon',
                        'digg',
                        'email'
                    );
                    $style = $st->getSetting( 'share_button_icon', 'square_flat' );
                    $root  = IPTEE_BASE_URL . 'img/icon/' . $style . '/';
                    foreach( $socials as $social )
                    {
                        if ( $st->getSetting( 'share_' . $social, 'on' ) == 'on' ) 
                        {
                            $icon = $root . $social . '.png';
                            $link = $this->get_share_link( $social );
                            
                            echo    '<li class="share share-' . $social . '"><a href="' . $link . '" class="share-link">' . 
                                        '<img src="' . $icon . '" alt="' . $social . '">' .
                                    '</a></li>';
                        }
                    }
                    ?>
                </ul>
            </div>
        <?php
        endif;
        ?>
        <div class="bellow-content">
            <?php echo stripslashes( $st->getSetting( 'bellow_content', '' ) ); ?>
        </div>
    </div>
</div>

<?php
endif;
?>