<?php
$st = $this->setting;

if ( $st->getSetting( 'ribbon_activate', 'true' ) == 'true' ) :

    $class  = 'ribbon';
    $class .= ' ribbon-style-' . $st->getSetting( 'ribbon_style', '1' );
    $style  = 'style="';
    $style .= 'background-color:' . $st->getSetting( 'ribbon_bgcolor', '#333333' ) . ';';
    $style .= 'color:' . $st->getSetting( 'ribbon_text_color', '#dddddd' ) . ';';
    
    //Font
    $font_opt = $st->getSetting( 'ribbon_font_family', 'roboto' );
    $family   = IPTee_Font::getFamily( $font_opt );
    $style .= 'font-family:' . $family . '"';
?>

<div class="<?php echo $class; ?>"<?php echo $style; ?>>
    <div class="ribbon-inner">
        <p><?php echo stripslashes( $st->getSetting( 'ribbon_headline', '' ) ); ?></p>
    </div>
</div>

<?php
else:
?>
<div class="no-ribbon"></div>
<?php
endif;
?>