<?php
$st      = $this->setting;
$bocolor = $st->getSetting( 'content_bg_color', '#ffffff' );
?>

<div class="action" data-page="<?php echo $this->page->ID; ?>">
    <div class="free-contest">
        <div class="free-contest-title">
            <?php
            $title = stripslashes( $st->getSetting( 'free_title', 'Get Free T-Shirt' ) );
            $info  = stripslashes( $st->getSetting( 'free_info', 'Sign up first for get Free T-Shirt' ) );
            ?>
            <h2 style="border-bottom-color:<?php echo $bocolor; ?>;"><i class="ibe ibe-star"></i><?php echo $title; ?></h2>
        </div>
        <div class="free-contest-signup">
            <p><?php echo $info; ?></p>
            <?php
            $action  = $st->getSetting( 'autoresponder_action' );
            $nameon  = $st->getSetting( 'autoresponder_name_activate', 'true' );
            $fname   = $st->getSetting( 'autoresponder_name' );
            $femail  = $st->getSetting( 'autoresponder_email' );
            $lname   = stripslashes( $st->getSetting( 'autoresponder_name_label', __( 'Your Name', 'wp_share_it_now'  ) ));
            $lemail  = stripslashes( $st->getSetting( 'autoresponder_email_label', __( 'Your Email', 'wp_share_it_now'  ) ));
            $label   = $st->getSetting( 'autoresponder_form_label', 'false' );
            ?>
            <form method="post"  action="<?php echo $action; ?>"  target="_blank">
                <div class="form-fields">
                    <?php
                    if ( $code = $st->getSetting( 'autoresponder_code' ) )
                    {
                        $data = IPTee_Form::parse( $code );
                        if ( ! empty( $data['hiddens'] )) 
                        {
                            foreach( $data['hiddens'] as $key => $value ) {
                                $value = str_replace( '"', '', $value );
                                echo '<input type="hidden" name="' . $key . '" value="' . $value . '" />';
                            }
                        }
                    }
                    if ( $nameon == 'true' ) :
                        $placeholder = ' placeholder="' . $lname . '"';
                    ?>
                    
                        <div class="form-field">
                            <?php
                            if ( $label == 'true' ) :
                                $placeholder = '';
                            ?>
                                <div class="form-label">
                                    <label for="input-name"><?php echo $lname; ?></label>
                                </div>
                            <?php
                            endif;
                            ?>
                            <div class="iptee-form-control">
                                <input type="text" id="input-name" name="<?php echo $fname; ?>" value=""<?php echo $placeholder; ?>>
                            </div>
                        </div>
                    
                    <?php
                    endif;
                    
                    //Field email
                    $placeholder = ' placeholder="' . $lemail . '"';
                    ?>
                    
                    <div class="form-field">
                        <?php
                        if ( $label == 'true' ) :
                            $placeholder = '';
                        ?>
                            <div class="form-label">
                                <label for="input-email"><?php echo $lemail; ?></label>
                            </div>
                        <?php
                        endif;
                        ?>
                        <div class="form-control">
                            <input type="text" id="input-email" name="<?php echo $femail; ?>" value=""<?php echo $placeholder; ?>>
                        </div>
                    </div>
                    
                    <?php
                    $style = $st->getSetting( 'autoresponder_button_style', 'grey' );
                    $text  = stripslashes( $st->getSetting( 'autoresponder_button_text', __( 'Sign Up Now', 'wp_tee_contest' ) ));
                    ?>
                </div>
                <div class="form-button">
                    <button type="submit" name="do_save_email" id="do-save-email" class="btn btn-<?php echo $style; ?>">
                        <?php echo $text; ?>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <?php
    if ( $this->is_ready ) :
    ?>
    <div class="contestant-ready">
        <strong><?php _e( 'You are ready follow the contest.', 'wp_tee_contest' ); ?></strong>
    </div>
    <?php
    elseif ( $this->is_expiry ) :
    ?>
    <div class="contestant-ready">
        <strong><?php _e( 'The contest is over.', 'wp_tee_contest' ); ?></strong>
    </div>
    <?php
    endif;
    ?>
    <?php 
    $this->inc( 'content/share' ); 
    
    $loader = IPTEE_BASE_URL . '/img/loading.gif';
    ?>
    <div class="iptee-loader" style="display:none;"><img src="<?php echo $loader; ?>" alt="Loading.."></div>
</div>