<?php
$st = $this->setting;
?>

<div class="share">
    <div class="share-inner">
        <div class="share-button">
            <a href="#share-modal" class="do-share btn btn-blue">
                <i class="ibe ibe-share"></i>
                <?php 
                $text = stripslashes( $st->getSetting( 'share_button_text', __( 'Share &amp; Like', 'wp_tee_contest' ) ) );
                echo $text; 
                ?>
            </a>
        </div>
        <div id="share-modal" class="ipbe-ui-modal" style="display:none;">
            <div class="ipbe-ui-modal-main" style="margin-top: 10px;">
                <div class="ipbe-ui-modal-inner">
                    <div class="ipbe-ui-modal-title">
                        <h3><?php echo $text; ?></h3>
                        <div class="ipbe-ui-close">
                            <a href="#"><i class="ibe ibe-times-circle"></i></a>
                        </div>
                    </div>
                    <div class="ipbe-ui-modal-content">
                        <div class="share-modal-content">
                            <h2><?php echo stripslashes( $st->getSetting( 'share_title', '' )); ?></h2>
                            <h3><?php echo stripslashes( $st->getSetting( 'share_info', '' )); ?></h3>
                            <?php
                            ?>
                            <ul class="share-list">
                                <?php
                                $socials  = array(
                                    'facebook',
                                    'twitter',
                                    'google-plus',
                                    'pinterest',
                                    'linkedin',
                                    'tumblr',
                                    'stumbleupon',
                                    'digg',
                                    'email'
                                );
                                $style = $st->getSetting( 'share_button_icon', 'square_flat' );
                                $root  = IPTEE_BASE_URL . 'img/icon/' . $style . '/';
                                foreach( $socials as $social )
                                {
                                    if ( $st->getSetting( 'share_' . $social, 'on' ) == 'on' ) 
                                    {
                                        $icon = $root . $social . '.png';
                                        $link = $this->get_share_link( $social );
                                        
                                        echo    '<li class="share share-' . $social . '"><a href="' . $link . '" class="share-link">' . 
                                                    '<img src="' . $icon . '" alt="' . $social . '">' .
                                                '</a></li>';
                                    }
                                }
                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>